Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# ACE_POSIX_Asynch_Operation Class Reference

This class abstracts out the common things needed for implementing for POSIX platforms. Specific implementations such as <POSIX_AIOCB_Asynch_Operation> can derive from this class. More...

`#include <POSIX_Asynch_IO.h>`

Inheritance diagram for ACE_POSIX_Asynch_Operation

[legend]
Collaboration diagram for ACE_POSIX_Asynch_Operation:

[legend]
List of all members.

## Public Methods
int | open (ACE_Handler &handler, ACE_HANDLE handle, const void *completion_key, ACE_Proactor *proactor = 0)
int | cancel (void)
| Check the documentation for .
ACE_Proactor* | proactor (void) const
| Return the underlying proactor.
## Protected Methods
| ACE_POSIX_Asynch_Operation (void)
| No op contructor.
virtual | ~ACE_POSIX_Asynch_Operation (void)
| Destructor.
## Protected Attributes
ACE_Proactor* | proactor_
| Proactor that this Asynch IO will be registered with.
ACE_Handler* | handler_
| Handler that will receive the callback.
ACE_HANDLE | handle_
| I/O handle used for reading.

## Detailed Description

This class abstracts out the common things needed for implementing for POSIX platforms. Specific implementations such as <POSIX_AIOCB_Asynch_Operation> can derive from this class.

## Constructor & Destructor Documentation

ACE_POSIX_Asynch_Operation::ACE_POSIX_Asynch_Operation ( | void )`[protected]`

| No op contructor.

ACE_POSIX_Asynch_Operation::~ACE_POSIX_Asynch_Operation ( | void )`[protected, virtual]`

| Destructor.

## Member Function Documentation

int ACE_POSIX_Asynch_Operation::cancel ( | void )

| Check the documentation for . Reimplemented in ACE_POSIX_AIOCB_Asynch_Read_Stream, ACE_POSIX_AIOCB_Asynch_Write_Stream, ACE_POSIX_AIOCB_Asynch_Read_File, ACE_POSIX_AIOCB_Asynch_Write_File, ACE_POSIX_Asynch_Accept, ACE_POSIX_AIOCB_Asynch_Transmit_File, ACE_POSIX_AIOCB_Asynch_Read_Dgram, and ACE_POSIX_AIOCB_Asynch_Write_Dgram.

int ACE_POSIX_Asynch_Operation::open ( | ACE_Handler & handler,
| ACE_HANDLE handle,
| const void * completion_key,
| ACE_Proactor * proactor = 0 )

| Initializes the factory with information which will be used with each asynchronous call. If (<handle> == ACE_INVALID_HANDLE), will be called on the <handler> to get the correct handle. No need for the Proactor since the sub classes will know the correct implementation Proactor class, since this Operation class itself was created by the correct implementation Proactor class. Reimplemented in ACE_POSIX_AIOCB_Asynch_Read_Stream, ACE_POSIX_AIOCB_Asynch_Write_Stream, ACE_POSIX_AIOCB_Asynch_Read_File, ACE_POSIX_AIOCB_Asynch_Write_File, ACE_POSIX_Asynch_Accept, ACE_POSIX_AIOCB_Asynch_Transmit_File, ACE_POSIX_AIOCB_Asynch_Read_Dgram, and ACE_POSIX_AIOCB_Asynch_Write_Dgram.

ACE_Proactor * ACE_POSIX_Asynch_Operation::proactor ( | void ) const

| Return the underlying proactor. Reimplemented in ACE_POSIX_AIOCB_Asynch_Read_Stream, ACE_POSIX_AIOCB_Asynch_Write_Stream, ACE_POSIX_AIOCB_Asynch_Read_File, ACE_POSIX_AIOCB_Asynch_Write_File, ACE_POSIX_Asynch_Accept, ACE_POSIX_AIOCB_Asynch_Transmit_File, ACE_POSIX_AIOCB_Asynch_Read_Dgram, and ACE_POSIX_AIOCB_Asynch_Write_Dgram.

## Member Data Documentation

ACE_HANDLE ACE_POSIX_Asynch_Operation::handle_`[protected]`

| I/O handle used for reading.

ACE_Handler * ACE_POSIX_Asynch_Operation::handler_`[protected]`

| Handler that will receive the callback.

ACE_Proactor * ACE_POSIX_Asynch_Operation::proactor_`[protected]`

| Proactor that this Asynch IO will be registered with.

The documentation for this class was generated from the following files:

- POSIX_Asynch_IO.h
- POSIX_Asynch_IO.cpp